%define upstream_name    MooseX-Alien
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Extend a non-Moose class with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The fact that Moose objects are hashrefs means it is easy to use Moose to
extend non-Moose classes, as long as they too are hash references.

This role uses an approach similar to the defined in
Moose::Cookbook::FAQ. However this role will call BUILDARGS and
BUILDALL

This approach may not work for all classes. The alien class must be
implemented using a HASHREF and the constructor must accept either a list
of name/value pairs or a HASHREF

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.10.0-10.mga10
+ Revision: 2199873
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-9.mga9
+ Revision: 1804666
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-8.mga8
+ Revision: 1495646
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-7.mga7
+ Revision: 1269586
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-6.mga6
+ Revision: 1030321
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.10.0-5.mga6
+ Revision: 938301
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 746441
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 685513
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 521998
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 394505
- imported package perl-MooseX-Alien


* Mon Feb 04 2013 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
